#include<bits/stdc++.h>
using namespace std;
int main(){

    int n,m,s;
    cin>>n>>m;

    if(n==1){

        cout<<m;
    }
    else if(m==1){

        cout<<n;
    }
    else{

        cout<<n*m/2+m+n-2;
    }
}